import tornado.ioloop
import tornado.options
import tornado.web

PORT = 9999
IMAGES = [
    'http://www3.nd.edu/~pbui/static/img/pbui_and_mbui.jpg',
    'http://www3.nd.edu/~pbui/static/img/pbui_and_children_uwec_office.jpg',
]

class HelloHandler(tornado.web.RequestHandler):
    def get(self):
        name = self.get_argument('user', 'Unknown')
        self.render('hello.html', name=name, photos=IMAGES)
       
class PhotoHandler(tornado.web.RequestHandler):
    def get(self, photo_id=0):
        photo_id = int(photo_id)
        self.write('''
<a href="http://blog.lilpnut.com"><img src="{}"></a>
'''.format(IMAGES[photo_id]))
    
Application = tornado.web.Application([
    (r"/photo/(.*)", PhotoHandler),
    (r"/", HelloHandler),
], debug=True)

Application.listen(PORT)

tornado.options.parse_command_line()
tornado.ioloop.IOLoop.current().start()