import tornado.ioloop
import tornado.options
import tornado.web

PORT = 9999

class IndexHandler(tornado.web.RequestHandler):
    def get(self):
        self.write('Index!')
        
class PageHandler(tornado.web.RequestHandler):
    def get(self, page_id):
        self.write('Page {}'.format(page_id))

Application = tornado.web.Application([
    (r"/page/(.*)", PageHandler),
    (r"/", IndexHandler),
], debug=True)

Application.listen(PORT)

tornado.options.parse_command_line()
tornado.ioloop.IOLoop.current().start()